# DLR Individual Contributor License Agreement
In order to clarify the intellectual property license granted with Contributions from any person or entity to FAME, Deutsches Zentrum für Luft- und Raumfahrt e. V. (German Aerospace Center, "DLR") must have a Contributor License Agreement ("CLA") on file that has been signed by each Contributor, indicating agreement to the license terms below. 
This license is for your protection as a Contributor as well as the protection of DLR; it does not change your rights to use your own Contributions for any other purpose.
If You have not already done so, please complete and sign, then scan and email a PDF file of this Agreement to fame@dlr.de. 
Please read this document carefully before signing and keep a copy for your records.
Full name:	
Postal Address:	
Country:	
Telephone:	
E-Mail:	

You accept and agree to the following terms and conditions for your past, present and future contributions submitted to DLR concerning above-mentioned software. 
Except for the license granted herein to DLR and recipients of software distributed by DLR, you reserve all right, title, and interest in and to your contributions.
## 1. Definitions
"You" (or "Your") shall mean the copyright owner or legal entity authorized by the copyright owner that is making this agreement with DLR. 
For legal entities, the entity making a contribution and all other entities that control, are controlled by, or are under common control with that entity are considered to be a single contributor. 
For the purposes of this definition, "control" means 
1. the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or 
2. ownership of fifty percent (50%) or more of the outstanding shares, or 
3. beneficial ownership of such entity.

"Contribution" shall mean any original work of authorship, including any modifications or additions to an existing work, that is intentionally submitted by you to DLR for inclusion in, or documentation of, any of the products owned or managed by DLR (the "Work").
For the purposes of this definition, "submitted" means any form of electronic, verbal or written communication sent to DLR or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, DLR for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by You as "Not a Contribution."

## 2. Grant of Copyright License
Subject to the terms and conditions of this Agreement, You hereby grant to DLR and to recipients of software distributed by DLR a perpetual, worldwide, non-exclusive, royalty-free, irrevocable copyright license to reproduce, prepare derivative works of, publicly display, publicly perform, sublicense, and distribute Your Contributions and such derivative works.

## 3. Grant of Patent License
Subject to the terms and conditions of this Agreement, You hereby grant to DLR and to recipients of software distributed by DLR a perpetual, worldwide, non-exclusive, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by You that are necessarily infringed by Your Contribution(s) alone or by combination of Your Contribution(s) with the Work to which such Contribution(s) was submitted. 
If any entity institutes patent litigation against You or any other entity (including a cross-claim or counterclaim in a lawsuit) alleging that your Contribution, or the Work to which You have contributed, constitutes direct or contributory patent infringement, then any patent licenses granted to that entity under this Agreement for that Contribution or Work shall terminate as of the date such litigation is filed.

## 4. Warranty and Liability
You represent that You are legally entitled to grant the above license. 
If Your employer(s) has rights to intellectual property that you create that includes your Contributions, you represent that You have received permission to make Contributions on behalf of that employer, that Your employer has waived such rights for your Contributions to DLR, or that Your employer has executed a separate Corporate CLA with DLR.

You represent that each of Your Contributions is Your original creation (see section 4 for submissions on behalf of others). 
You represent that Your Contribution submissions include complete details of any third-party license or other restriction (including, but not limited to, related patents and trademarks) of which You are personally aware and which are associated with any part of Your Contributions.

You are under no obligation to provide support for Your Contributions. 
Unless required by applicable law or agreed to in writing, You provide Your Contributions on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE.

Should You wish to submit work that is not Your original creation, You may submit it to DLR separately from any Contribution, identifying the complete details of its source and of any license or other restriction (including, but not limited to, related patents, trademarks, and license agreements) of which You are personally aware, and conspicuously marking the work as "Submitted on behalf of a third-party: [named here]".

You agree to notify DLR of any facts or circumstances of which You become aware that would make these representations inaccurate in any respect.

Signature: __________________________________ Date: ________________

